org.apache.fop.render.pdf.extensions

## Class PDFExtensionAttachment

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFExtensionAttachment

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

Direct Known Subclasses:
  PDFDictionaryAttachment, PDFEmbeddedFileAttachment

    public abstract class PDFExtensionAttachment
    extends Object
    implements ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

### Field Summary

Fields
`static String` `CATEGORY` The category URI for this extension attachment.
`static String` `PREFIX` The prefix to use with qualified names for this extension attachment.

### Constructor Summary

Constructors
Constructor and Description
`PDFExtensionAttachment()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
`String` `getPrefix()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xmlgraphics.util.XMLizable

`toSAX`

### Field Detail

#### CATEGORY

    public static final String CATEGORY

The category URI for this extension attachment.

See Also:
  Constant Field Values

#### PREFIX

    public static final String PREFIX

The prefix to use with qualified names for this extension attachment.

See Also:
  Constant Field Values

### Constructor Detail

#### PDFExtensionAttachment

    public PDFExtensionAttachment()

Default constructor.

### Method Detail

#### getPrefix

    public String getPrefix()

#### getCategory

    public String getCategory()

Description copied from interface: `ExtensionAttachment`
This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

Specified by:
  `getCategory` in interface `ExtensionAttachment`
Returns:
  the category URI